
package de.ivu.elect.presentation.exchange.action;

import javax.annotation.Nonnull;
import javax.inject.Inject;

import de.ivu.elect.business.datei.boundary.DateiConversationSelect;
import de.ivu.elect.business.datei.boundary.DateiImportConversationSelect;
import de.ivu.elect.business.datei.entity.DateiImport;

public class DateiImportImportBestaetigenAction extends AbstractDateiImportAction {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient DateiImportConversationSelect dateiImportSelect;

  @Inject
  private transient DateiConversationSelect dateiConversationSelect;

  public DateiImportImportBestaetigenAction() {
    super();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull DateiImport dateiImport) {
    return /* ELECT-14271 */ !existsImportFileFormat() || !dateiImport.isImportierenMoeglich();
  }

  @Override
  protected String doIt(DateiImport dateiImport) {
    dateiImportSelect.setEntity(dateiImport.getPk());

    dateiConversationSelect.setEntity(dateiImport.getDatei());

    return importDescriptionState.getImportBestaetigenViewId();
  }

  @Override
  public String getLabelKey() {
    return "datei.import.edit.action.import";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }
}
